Skip to content
POST /session-token/renew

Response Body

expires_atstring · date-time

The new expiry.

Example: 2026-07-28T12:00:00.000Z
max_lifetime_atstring · date-time

Unchanged from when the session was minted.

Example: 2026-07-28T23:30:00.000Z
session_tokenstring · uuid

The same secret that was sent in. Renewal does not rotate it.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
curl -X POST 'https://api.truto.one/session-token/renew' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/session-token/renew', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/session-token/renew"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.post(url, headers=headers, params=params)
print(response.json())